Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226500 - vit: FTBFS in Fedora rawhide/f39
Summary: vit: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2220920
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 20:24 UTC by Fedora Release Engineering
Modified: 2023-08-06 01:40 UTC (History)
1 user (show)

Fixed In Version: vit-2.3.1-1.fc39 vit-2.3.1-1.fc37 vit-2.3.1-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-28 22:24:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 20:24 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 20:25 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 20:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 20:24:55 UTC
vit failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103751432


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix vit at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
vit will be orphaned. Before branching of Fedora 40,
vit will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 20:24:59 UTC
Created attachment 1979834 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 20:25:03 UTC
Created attachment 1979835 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 20:25:06 UTC
Created attachment 1979836 [details]
state.log

Comment 4 Fedora Update System 2023-07-28 22:22:10 UTC
FEDORA-2023-cb642f0c7d has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cb642f0c7d

Comment 5 Fedora Update System 2023-07-28 22:24:20 UTC
FEDORA-2023-cb642f0c7d has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2023-07-28 22:50:07 UTC
FEDORA-2023-5c238e9d81 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5c238e9d81

Comment 7 Fedora Update System 2023-07-28 22:56:32 UTC
FEDORA-2023-16327e0561 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-16327e0561

Comment 8 Fedora Update System 2023-07-29 02:18:35 UTC
FEDORA-2023-5c238e9d81 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5c238e9d81`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5c238e9d81

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-07-29 02:20:00 UTC
FEDORA-2023-16327e0561 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-16327e0561`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-16327e0561

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-08-06 00:38:42 UTC
FEDORA-2023-16327e0561 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-08-06 01:40:43 UTC
FEDORA-2023-5c238e9d81 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.